# module Treetop

Autogenerated from a Treetop grammar. Edits may be lost.

### Public Class Methods

load(path) click to toggle source

compile a treetop source file and load it

    # File lib/treetop/compiler/grammar_compiler.rb, line 35
    def self.load(path)
      adjusted_path = path =~ /\.(treetop|tt)\Z/ ? path : path + '.treetop'
      File.open(adjusted_path) do |source_file|
        source = source_file.read
        source.gsub!(/\b__FILE__\b/, %Q{"#{adjusted_path}"})
        load_from_string(source)
      end
    end

load_from_string(s) click to toggle source

compile a treetop source string and load it

    # File lib/treetop/compiler/grammar_compiler.rb, line 45
    def self.load_from_string(s)
      compiler = Treetop::Compiler::GrammarCompiler.new
      Object.class_eval(compiler.ruby_source_from_string(s))
    end